onEvent('item.registry', event => {
	event.create(`creative_essence`).maxStackSize(1).glow(true).displayName(`Creative Essence`)
	//event.create(`creative_casing`).maxStackSize(1).glow(true).displayName(`Creative Casing`)
  event.create(`creative_battery`).maxStackSize(1).glow(true).displayName(`Creative Battery`)
  event.create(`creative_coil`).maxStackSize(1).glow(true).displayName(`Creative Coil`)
})

onEvent('block.registry', event => {
  event.create(`creative_casing`)
       .hardness(0.5)
       .maxStackSize(1)
       .glow(true)
       .displayName(`Creative Casing`)
       .material(`metal`)
       .harvestTool(`pickaxe`, 3)
       .renderType(`translucent`)
       //.item(`kubejs:creative_casing` => {})
})